Groovy Documentation

## org.codehaus.groovy.grails.plugins
[Java] Class IncludingPluginFilter

    java.lang.Object
      org.codehaus.groovy.grails.plugins.BasePluginFilter
          org.codehaus.groovy.grails.plugins.IncludingPluginFilter

    @SuppressWarnings({ "unchecked", "rawtypes" })
    public class IncludingPluginFilter
    extends BasePluginFilter

Implementation of `PluginFilter` which ensures that only the supplied plugins (identified by name) as well as their dependencies are included in the filtered plugin list.

Authors:
  Phil Zoio

Field Summary

Fields inherited from class BasePluginFilter
nameMap

Constructor Summary
`IncludingPluginFilter(java.util.Set included)`
`IncludingPluginFilter(String[] included)`

Method Summary
`protected void` | `addPluginDependencies(java.util.List additionalList, GrailsPlugin plugin)`
`protected java.util.List` | `getPluginList(java.util.List original, java.util.List pluginList)`

Methods inherited from class BasePluginFilter
addPluginDependencies, filterPluginList, getAllPlugins, getNamedPlugin, getPluginList, getSuppliedNames, isDependentOn, registerDependency

Constructor Detail

### IncludingPluginFilter

    public IncludingPluginFilter(java.util.Set included)

### IncludingPluginFilter

    public IncludingPluginFilter(String[] included)

Method Detail

### addPluginDependencies

    @Override
    protected void addPluginDependencies(java.util.List additionalList, GrailsPlugin plugin)

### getPluginList

    @Override
    protected java.util.List getPluginList(java.util.List original, java.util.List pluginList)

Groovy Documentation